# POST /UsersGroups/{usersGroupId}/Users

## POST /api/v1/UsersGroups/{usersGroupId}/Users

> Adds users to a users group.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"AddUsersToGroupRequestModelV1":{"required":["triggeredByUserId","userIds"],"type":"object","properties":{"userIds":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of the user ids being added to the users group."},"triggeredByUserId":{"type":"string","description":"Identifier of the admin user that triggered the operation.","format":"uuid"},"implicitlyApproveRequests":{"type":"boolean","description":"Flag that configures request creation behaviour. True = request are automatically approved. False = Normal requests are created."}},"additionalProperties":false,"description":"Request model to add users to a users group"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/UsersGroups/{usersGroupId}/Users":{"post":{"tags":["UsersGroups"],"summary":"Adds users to a users group.","parameters":[{"name":"usersGroupId","in":"path","description":"The users group ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"requestBody":{"description":"The request payload containing the user ids to be added.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AddUsersToGroupRequestModelV1"}],"description":"Request model to add users to a users group"}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AddUsersToGroupRequestModelV1"}],"description":"Request model to add users to a users group"}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AddUsersToGroupRequestModelV1"}],"description":"Request model to add users to a users group"}}}},"responses":{"201":{"description":"Created"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getcakewalk.io/open-api-and-mcp/api-reference/user-groups/post-usersgroups-usersgroupid-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
